Форумчане, оказывается MagOS на базе Mageia в отличии от оригинальной MagOS на базе Rosa Linux не желает устанавливаться. Если в системе из которой происходит установка не установлен редактор Kate, то Mageia MagOS жалуется на его отсутствие, а если есть, то выдает другую ошибку текст которой в случае необходимости я могу привести.
Скажите, пожалуйста, как ее все-таки установить на виртуальную машину, а также скажите (если такое было) из-под какого дистрибутива Вам удалось провести удачную установку этой системы на виртуальную машину?

Спасибо сказали: ingvaro1

2

astronom1987⇓ пишет:

MagOS на базе Mageia в отличии от оригинальной MagOS н

Расшифруйте. Что  это  за ос? Откуда  брали дистрибутив?

3 (2021-01-11 18:03:52 отредактировано ingvaro)

Как я понял что  MagOS на базе Mageia не ставится  на виртуальную машину.

В оригинальной MagOS  зхагрузчик syslinux+grub4dos и при формировании загрузочного образа загрузчик устанавливается в MBR
В MagOS на базе Mageia - https://forum.mageia.org.ru/viewtopic.p … 958#p15958
Используется загрузчик grub2 и как прописать загрузчик в MBR я не знаю. Пробовал но что то не получилось и в на виртуальную машину его не установить.
В самом  МагОС к сторонним сборкам особо не консультируют и вопросы порою остаются без ответа.
Но после того как два дня пытался подправвить меню в grub4dos , а оказалось что надо бало править syslinux особого желания использовать сладкую парочку (syslinux+grub4dos ) нет
В моем конфигураторе загрузчика пишется именно рабочая конфигурация и такой ошибки не может быть в принципе
Если грузимся на grub2 то в папке boot находится только grub2
Если грузимся на syslinux  то в папке boot находится только syslinux
К тому же grub2 всеяден. Попробую разобраться с записью MBR но все же на grub2


astronom1987⇓ пишет:

Если в системе из которой происходит установка не установлен редактор Kate, то Mageia MagOS жалуется на его отсутствие, а если есть, то выдает другую ошибку текст которой в случае необходимости я могу привести.

Спасибо за сообщение. Это конечно моя ошибка. Исправлю
А какой текстовый редактор можно использовать и что бы был во всех дистрах ?
Для устранения бага надо  в boot/magosm/bootinst.sh надо править стр 9

kate bootinst.cfg

Ее можно или совсем удалить, но при этом нужно не забывать перед  каждым запуском проверять boot/magosm/bootinst.cfg
Или прописать любой другой редактор. Допустим

kwrite bootinst.cfg

Нет Kate   это опять же  это наверно оригинальная MagOS
Непонятно мне как в системе где  установлена Плазма может отсутствовать  редактор Kate.
Еще в оригинальной MagOS в плазме отсутствует пакет kdiff3 и его мне очень не хватает. Но в самом МагОС эти пакеты устанавливать не хотят
Михаил (автор МагОС) сказал - "Много весят"

4

kvv-vp пишет:
astronom1987⇓ пишет:

MagOS на базе Mageia в отличии от оригинальной MagOS н

Расшифруйте. Что  это  за ос? Откуда  брали дистрибутив?

Все дистрибутивы брал на их официальных сайтах и официальных зеркалах.
Прошу главного разработчика проконсультироваться у Михаила Зарипова на тему того как ему удалось обойти проблему с редактором KATE. Для справки: в оригинальной MagOS используется скрипт для установки системы с расширением.bat . И не смотря на то, что .bat является расищирением исполняемых файлов windows систем, но в Linux он очень хорошо запустился и оригинальный MagOS заработал на виртуальной машине как родной. Помню 10 лет назад эта система на виртуалке напрочь отказывалась запускаться.
Я попробую подправить скрипт установки загрузчика на тот текстовый редактор, что есть у меня в системе. Но для того, чтобы запустить kate даже пробовал ставить другой Linux и на виртуалку запускать скрипт оттуда.
На этом пока что спасибо. Буду пробовать поставить эту систему.

5 (2021-01-11 18:53:45 отредактировано astronom1987)

Вот собственно что получилось:

Flushing filesystem buffers, this may take a while...
MBR is arhiving
Saving current MBR to
/media/user/3c421e38-98f1-4873-9ba4-8ed4c5136e7f/boot/magosm/GRUB_2/MBR/mbr-20210111-184446.bak
1+0 records in
1+0 records out
512 bytes copied, 0.000267415 s, 1.9 MB/s

MBR is clearing
1+0 records in
1+0 records out
446 bytes copied, 0.00234787 s, 190 kB/s

Activating partition /dev/sda1...
Setup grub files on (/dev/sda1,ext4)...
GRUB2INST=/media/user/3c421e38-98f1-4873-9ba4-8ed4c5136e7f/boot/magosm/GRUB_2/sbin/grub2-install
/media/user/3c421e38-98f1-4873-9ba4-8ed4c5136e7f/boot/magosm/GRUB_2/sbin/grub2-install: error while loading shared libraries: libdevmapper.so.1.02: cannot open shared object file: No such file or directory
Для продолжения нажмите любую клавишу...

И еще:
https://drive.google.com/file/d/1Emlqww … sp=sharing

6 (2021-01-12 10:25:56 отредактировано ingvaro)

astronom1987⇓ пишет:

Прошу главного разработчика проконсультироваться у Михаила Зарипова на тему того как ему удалось обойти проблему с редактором KATE

Михаил Зарипов форум Магеи не читает и сюда не заходит
Задать вопрос надо тут - https://forum.magos-linux.ru/

astronom1987⇓ пишет:

Для справки: в оригинальной MagOS используется скрипт для установки системы с расширением.bat .

У них много что интересного. Например модульное обновление.
У меня обновление с реопозитариев Магеи. А там нет модулей.
А скрипт для установки системы с расширением.bat  мне не особо нужен, т к восстанавливать модуль из *.bat мне приходится очень редко и делаю это вручную


astronom1987⇓ пишет:

Я попробую подправить скрипт установки загрузчика на тот текстовый редактор, что есть у меня в системе. Но для того, чтобы запустить kate даже пробовал ставить другой Linux и на виртуалку запускать скрипт оттуда.

В  boot/magosm/bootinst.sh  стр 9 можно просто удалить, но при этом нужно не забывать перед  каждым запуском проверять boot/magosm/bootinst.cfg


astronom1987⇓ пишет:

GRUB2INST=/media/user/3c421e38-98f1-4873-9ba4-8ed4c5136e7f/boot/magosm/GRUB_2/sbin/grub2-install
/media/user/3c421e38-9 8f1-4873-9ba4-8ed4c5136e7f/boot/magosm/GRUB_2/sbin/grub2-install: error while loading shared libraries: libdevmapper.so.1.02

Это конечно баг.  У меня grub2-install:      берется не из системы а из magosm/GRUB/sbin  и он от Магеи 8
Этот    grub2-install конфликтует с системной библиотекой вашего дистра
Вернее не находит в /usr/lib64  библиотеку libdevmapper.so.1.02
Устранение  : 
  Стр 216 и 217    прописать :   
                                                                                                                                                                                                                                                                                                                                                                                                                                                                     

[ "$SYSBOOT" = "grub2" ] && GRUB2INST="/usr/sbin/grub2-install"
[ "$SYSBOOT" = "grub+grub2" ] && GRUB2INST="/usr/sbin/grub2-install"

А на какой Магее вы устанавливаете grub2 ?

7

Пытался установить Mageia Magos на базе Mageia 7.1. Но в данном случае это уже не имеет никакого значения так как потом оказалось, что для задачи, которую я перед собой поставил ни одна MagOS не подходит, а подходит другой дистрибутив - DabianDog.

8 (2021-01-12 21:18:38 отредактировано ingvaro)

astronom1987⇓ пишет:

для задачи, которую я перед собой поставил ни одна MagOS не подходит, а подходит другой дистрибутив - DabianDog


У меня, в отличие от MagOS, сборка называется MagOSM (MagOS Multi) и она может запускать много дистрибутивов
Если решить некоторые проблемы то количество дистрибутивов будет не ограничено.
Ну а пока это Магеиа 8  и Lubuntu-20.10 Которые имеют даже больше общего чем допустим  Магеиа и Роса
Вот grub в Lubuntu-20.10 я не настраивал. Просто перенес настройки от grub2 из Маегеи 8 и в Lubuntu-20.10 все заработало
И таких совпадений достаточно много
Если не секрет. Что за задачи ?
И зачем использовать морально устаревший дистр и чем плох все тот же Lubuntu-20.10 ?

9 (2021-01-12 22:13:17 отредактировано ingvaro)

astronom1987⇓ пишет:

подходит другой дистрибутив - DabianDog

Наверно DebianDog - https://itsfoss.com/debiandog/
Он на базе Debian 10
Kernel 4.19.0-4 но это же просто древнее ядро. В Магее ядро - 5.10.6-desktop-1.mga8
Вероятно  старая ФС - присутствуют папки bin sbin lib lib64
Запускал я Росу у себя  и бывало довольно сложно настроить управление от одного МагОС-модуля у Росы и Магеи

10

Извините, но не могу сказать, что за задачи, но для меня это не очень древний дистрибутив, так как мне нужно лишь то, чтобы поддерживалось современное ПО. И все что мне нужно там работает.
Он основан на Debian 10, а 11 Debian еще нет кажется.

11 (2021-01-14 20:39:52 отредактировано ingvaro)

astronom1987⇓ пишет:

для меня это не очень древний дистрибутив

Я отметил что ядро не совсем новое. А про дистр я не могу судить не запустив его.
Все же попробуйте  Lubuntu-20.10
Хороший дистр. Мне понравился

astronom1987⇓ пишет:

Мой блог о Mageia Linux

что то то не нашел ваш блог